## i2p 0.9.38

=== apps/sam/c/Makefile ===
FLAGS+=-g
CFLAGS+=$(FLAGS)
LDFLAGS+=$(FLAGS)

OBJS:=obj/sam.lo obj/strl.lo obj/parse.lo obj/tinystring.lo
DEPS:=$(patsubst obj/%.lo, .deps/%.d, $(OBJS))
DESTDIR:=$(if $(DESTDIR),$(DESTDIR)/lib,/usr/lib)

MAKEFLAGS=-s -r

PERL=$(shell which perl 2>/dev/null)
ifneq ($(PERL),)
STATUS=$(PERL) ./status
else
STATUS=echo
endif

LIBTOOL_LOG=libtool.log

all:: cleanlog .deps/finish

cleanlog:
	echo >$(LIBTOOL_LOG)

lib/libsam.so: obj/libsam.la
	libtool --mode=install install $^ `pwd`/$@ >>$(LIBTOOL_LOG)

obj/libsam-static.la: $(OBJS)
	$(STATUS) library '(static)'
	libtool --mode=link $(CC) -static $(LDFLAGS) -o $@ $^ >>$(LIBTOOL_LOG)

obj/libsam.la: $(OBJS)
	$(STATUS) library '(shared)'
	libtool --mode=link $(CC) -rpath  $(DESTDIR) $(LDFLAGS) -o $@ $^ >>$(LIBTOOL_LOG)

obj/%.lo: src/%.c
	$(STATUS) compile $*
	libtool --mode=compile $(CC) $(CFLAGS) -Iinc/ -c -o $@ $< >>$(LIBTOOL_LOG)

$(OBJS):|obj
obj:
	$(STATUS) MKDIR $@
	mkdir -p $@

.deps/%.d: src/%.c
	$(STATUS) deps $*
	$(CC) -Iinc/ -MM -MT obj/$*.o $< -o $@

-include $(DEPS)

DEPS+=.deps/finish
.deps/finish: lib/libsam.so
	libtool --finish $(DESTDIR) >>$(LIBTOOL_LOG) && touch $@
$(DEPS):|.deps
.deps:
	$(STATUS) MKDIR $@
	mkdir -p $@

clean:
	$(STATUS) clean
	libtool --mode=clean rm -f obj/*.l* lib/*.l* lib/*.so* lib/*.a >>$(LIBTOOL_LOG)
	rm -Rf .deps libtool.log

.PHONY: all cleanlog clean

## i2p 0.9.34

=== debian/changelog ===
i2p (0.9.34-1ubuntu3) bionic; urgency=medium

  * Revert the last change.
  * Build using the default-jdk package (currently OpenJDK 10), dropping references
    to the OpenJDK 9 packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Apr 2018 14:50:11 +0200

i2p (0.9.34-1ubuntu1) bionic; urgency=medium

  * Fix build by enforcing JAVA_HOME to java9 location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Apr 2018 20:16:44 +0200

i2p (0.9.34-1) unstable; urgency=medium

  * New upstream release.
  * d/README.Debian: Fixed a typo.
  * d/control: Removed unnecessary comma.
  * d/control: Added Vcs-* entries.
  * d/po/*: Synced with the upstream.
  * d/rules: Set javac option -source & -target to 1.8.
	
 -- Masayuki Hatta <mhatta@debian.org>  Thu, 12 Apr 2018 02:40:45 +0900

i2p (0.9.33-2) unstable; urgency=medium

  * d/control: bumped Standards-Version to 4.1.3.
  * d/control: default-jdk is now openjdk-9-jdk so depends on and use it.
  * d/rules: ditto.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 29 Mar 2018 00:02:36 +0900

i2p (0.9.33-1) unstable; urgency=medium

  * New upstream release.
  * Now uses libtaglibs-standard-*-java instead of
    glassfish-javaee (closes: #882489)
  * Removed -m32 and -m64 flags for Debian builds (closes: #877042)
  * Updated sv.po (closes: #890653)
  * Updated ru.po (closes: #883920)

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 27 Mar 2018 20:05:18 +0900

i2p (0.9.32-2) unstable; urgency=medium

  * debian/i2p.postinst: changed logic to invoke systemctl.
    let's see if it works with piuparts.
  * debian/watch: updated, now it supposed to work.
  * debian/README.Debian: fixed a typo.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 18 Nov 2017 17:29:54 +0900

i2p (0.9.32-1) unstable; urgency=medium

  * New upstream release.
  * Based on 0.9.32-1ubuntu1.
  * debian/control: removed obsoleted dh-systemd.
  * debian/control: now depends on debhelper (>= 9.20160709).
  * debian/control: changed Standards-Version to 4.1.1.
  * debian/control: changed i2p-doc priority from extra to optional.
  * debian/README.Debian: fixed port number (closes: #877022).
  * debian/po/nl.po: updated (closes: #879135).
  * debian/patches/0004-remove-linkrel-from-eclipse-license.patch: added.
    to make lintian happy.
  * debian/patches/0005-license-path-fix-patch: added.
    codehaus is long gone, states new URL. to make lintian happy.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 17 Nov 2017 19:43:29 +0900

i2p (0.9.30-4) unstable; urgency=medium

  * Initial release for Debian (closes: #448638).
  * Based on 0.9.30-3ubuntu1.
  * patches/0004-jetty9.2.22.fix.patch: temporarily added.
  * patches/0005-license-path-fix.patch: to make lintian happy.
  * debian/compat: set compat level to 9.
  * debian/control: removed hardening-wrapper from Build-Dep.
  * debian/ctonrol: versioned dependency on libjetty9-java in Build-Dep.
  * debian/control: changed Maintainer.
  * debian/control: changed Standards-Version to 4.0.0.
  * debian/control: added ${misc:Depends} to i2p & libjbigi-jni's Dep.
  * debian/control: revised Descriptions to make lintian happy. 
  * debian/rules: remove apps/susidns/src/lib/standard.jar symlink on clean.
  * debian/rules: fixed a typo (override_dh_dhlibdeps -> override_dh_shlibdeps).
  * debian/changelog: added "Old Changelog:" to make lintian happy.
  * debian/NEWS: moved to NEWS.old.
  * debian/i2p-router.lintian-overrides: added.	
  * debian/i2p.postinst: change systemctl -> deb-systemd-helper.
  * debian/i2p.postinst: fixed a typo (missing ")" in /etc/default/i2p).

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 26 Jul 2017 13:21:41 +0900

Old Changelog:

i2p (0.9.34-2ubuntu1) artful; urgency=medium

  * New upstream version 0.9.34

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 11 Apr 2018 12:12:12 +0000

i2p (0.9.33-1ubuntu1) artful; urgency=medium

  * New upstream version 0.9.33

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 30 Jan 2018 12:12:12 +0000

i2p (0.9.32-1ubuntu1) xenial; urgency=medium

  * New upstream version 0.9.32

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 08 Nov 2017 12:12:12 +0000

i2p (0.9.31-1ubuntu1) xenial; urgency=medium

  * New upstream version 0.9.31

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 09 Aug 2017 12:12:12 +0000

i2p (0.9.30-3ubuntu1) xenial; urgency=medium

  * New upstream version 0.9.30

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 03 May 2017 12:12:12 +0000

i2p (0.9.29-1ubuntu1) trusty; urgency=medium

  * New upstream version 0.9.29

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Mon, 27 Feb 2017 12:12:12 +0000

i2p (0.9.28-1ubuntu1) trusty; urgency=medium

  * New upstream version 0.9.28

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 13 Dec 2016 12:12:12 +0000

i2p (0.9.27-1-1ubuntu1) trusty; urgency=medium

  * New upstream version 0.9.27

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Mon, 17 Oct 2016 12:12:12 +0000

i2p (0.9.26-1ubuntu1) trusty; urgency=medium

  * New upstream version 0.9.26

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 07 Jun 2016 12:12:12 +0000

i2p (0.9.25-1ubuntu1) trusty; urgency=medium

  * New upstream version 0.9.25

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Sat, 26 Mar 2016 12:12:12 +0000

i2p (0.9.24-1ubuntu1) trusty; urgency=medium

  * Upload to PPA

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 30 Jan 2016 14:12:27 +0000

i2p (0.9.24-1) unstable; urgency=medium

  * New upstream version 0.9.24

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 30 Jan 2016 12:08:27 +0000

i2p (0.9.23-2) unstable; urgency=medium

  * Backport of two fixes from after the release of 0.9.23
    - debian/patches/0005-Console-Fix-escaping-of-plugin-description-on-config.patch
    - debian/patches/0006-NetDb-Fix-deadlock-ticket-1722.patch
  * AppArmor:
    - Remove 'l' from the debian AppArmor profiles
    - Allow writing to /tmp/imageio*, needed by graph creation on some systems



=== debian/control ===
Source: i2p
Maintainer: Masayuki Hatta <mhatta@debian.org>
Section: net
Standards-Version: 4.1.3
Priority: optional
Homepage: https://geti2p.net/
Vcs-Browser: https://salsa.debian.org/debian/i2p
Vcs-Git: https://salsa.debian.org/debian/i2p.git
Build-Depends: debhelper (>= 9.20160709)
 ,ant (>= 1.8)
 ,debconf
 ,default-jdk
 ,libjetty9-java (>= 9.2.22)
 ,libtaglibs-standard-jstlel-java
 ,libtomcat8-java
 ,dh-apparmor
 ,bash-completion
 ,gettext
 ,libgetopt-java
 ,libgmp-dev (>= 2:5.0.5)
 ,libservice-wrapper-java
 ,po-debconf

Package: i2p
Architecture: all
Section: net
Priority: optional
Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
 adduser,
 debconf,
 i2p-router (>= 0.8.6-5),
 libjbigi-jni,
 lsb-base (>= 3.0-6),
 service-wrapper
Description: Invisible Internet Project (I2P) - anonymous network
 I2P is an anonymizing network, offering a simple layer that identity-sensitive
 applications can use to securely communicate. All data is wrapped with several
 layers of encryption, and the network is both distributed and dynamic, with no
 trusted parties.
 .
 This package depends on the router, jbigi, the java service wrapper, and
 includes support to run I2P as a daemon.

Package: libjbigi-jni
Architecture: any
Section: java
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, i2p-router
Homepage: https://geti2p.net/
Description: Invisible Internet Project (I2P) - libjbigi library
 This Package contains the libjbigi JNI library (and on x86 platforms, jcpuid).
 .
 libjbigi is a math library that is part of the I2P installation.  Use of this
 library greatly enhances the efficiency of cryptographic algorithms, such as
 the ones used by I2P. You can expect to see a 5-7x speed improvement on certain
 tasks, such as elGamal encryption/decryption.

Package: i2p-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Suggests: i2p, default-jdk-doc
Description: Invisible Internet Project (I2P) - developer documentation
 I2P is an anonymizing network, offering a simple layer that identity-sensitive
 applications can use to securely communicate. All data is wrapped with several
 layers of encryption, and the network is both distributed and dynamic, with no
 trusted parties.
 .
 This package contains the Javadoc files.

Package: i2p-router
Architecture: all
Section: net
Priority: optional
Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
 openjdk-11-jre-headless | openjdk-8-jre-headless | default-jre-headless | java11-runtime-headless | java8-runtime-headless,
 geoip-database,
 gettext-base,
 libgetopt-java,
 libjetty9-java,
 libtaglibs-standard-jstlel-java,
 libtomcat8-java,
Replaces: i2p ( << 0.8.6-5)
Breaks: i2p (<< 0.8.6-5)
Recommends: libjbigi-jni, ttf-dejavu
Suggests: apparmor
 ,privoxy
 ,syndie
Description: Invisible Internet Project (I2P) - Router
 I2P is an anonymizing network, offering a simple layer that identity-sensitive
 applications can use to securely communicate. All data is wrapped with several
 layers of encryption, and the network is both distributed and dynamic, with no
 trusted parties.
 .
 TrueType fonts (such as those provided in the package ttf-dejavu) are required
 in order to generate graphs.

=== debian/rules ===
#!/usr/bin/make -f

# Quoting Policy version 3.9.2.0, 2011-04-07 section 4.9:

# /start quote
# For some packages, notably ones where the same source tree is compiled in
# different ways to produce two binary packages, the build target does not make
# much sense. For these packages it is good enough to provide two (or more)
# targets (build-a and build-b or whatever) for each of the ways of building the
# package, and a build target that does nothing. The binary target will have to
# build the package in each of the possible ways and make the binary package out
# of each.
# ...
# When a package has a configuration and build routine which takes a long time,
# or when the makefiles are poorly designed, or when build needs to run clean
# first, it is a good idea to touch build when the build process is complete.
# This will ensure that if debian/rules build is run again it will not rebuild
# the whole program.
# /end quote

# Since that fits building I2P very well, we override the build target.
#

build:
	@echo 'The build target is disabled. Use the appropriate binary target.'

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

JAVA_HOME=/usr/lib/jvm/default-java


I2P=$(CURDIR)/pkg-temp
ROUTERVERSION=$(CURDIR)/router/java/src/net/i2p/router/RouterVersion.java
export DEB_BUILD_HARDENING=1

# I2P's version will be displayed in the router console as "$I2PVERSION-$EXTRAPREFIX$DEBIANVERSION", eg. 0.8.12-0-deb1
#export EXTRAPREFIX := deb
export JAVA_HOME I2P
export DEBIANVERSION := $(shell dpkg-parsechangelog |awk -F' ' '/^Version:/{print $$2}' |sed 's/.*-\([.0-9A-Za-z~+]\{1,\}\)$$/\1/')
# required for jbigi/jcpuid build
export BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
#export DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

%:
	dh $@ --with systemd,bash-completion

clean: createcopyright

override_dh_auto_clean:
	-[ -r $(CURDIR)/debian/routerversion.java.bak ] && mv -f $(CURDIR)/debian/routerversion.java.bak $(ROUTERVERSION)
	dh_auto_clean
	ant distclean
	find $(CURDIR)/core \( -name '*\.so' -o -name '*\.o' \) -exec rm -f {} \;
	rm -rf $(CURDIR)/core/c/jcpuid/lib/
	rm -f $(CURDIR)/installer/lib/wrapper/all/wrapper.jar
	rm -rf $(CURDIR)/debian/python-i2p
	rm -f $(CURDIR)/override.properties
	rm -f $(CURDIR)/apps/susidns/src/lib/standard.jar
	rm -f $(CURDIR)/apps/susidns/src/lib/jstl.jar
	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
	debconf-updatepo

override_dh_auto_build:

override_dh_systemd_enable:
	# We purposely do not set I2P to start at boot.
	# This matches the behavior of the initscript
	# and the setting RUN_DAEMON=false in /etc/default/i2p

binary-indep: build-indep
build-indep:
	dh_prep
	mkdir -p $(CURDIR)/installer/lib/wrapper/all
	ln -sf /usr/share/java/wrapper.jar $(CURDIR)/installer/lib/wrapper/all/wrapper.jar
	if [ ! -e $(CURDIR)/debian/routerversion.java.bak ]; then \
		cp $(ROUTERVERSION) $(CURDIR)/debian/routerversion.java.bak; \
	fi
ifeq "$(findstring deb,$(shell grep 'deb' $(ROUTERVERSION)))" ""
	sed -e "s/\(.*EXTRA\ =\ \)[^ ]*\"\(.*\)\"/\1\"\2-$$EXTRAPREFIX$$DEBIANVERSION\"/" < $(ROUTERVERSION) > $(ROUTERVERSION).tmp
	mv -f $(ROUTERVERSION).tmp $(ROUTERVERSION)
else
	@echo "Already found deb in version, not doing anything"
endif
	@# build options
	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
#	@/bin/echo -e "javac.version=9" > $(CURDIR)/override.properties
#	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
#	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties

	@# debian and ubuntu: everywhere
	@/bin/echo -e "with-geoip-database=true" >> $(CURDIR)/override.properties

	@# ubuntu: in xenial
	@# debian: in jessie-backports stretch sid
	@/bin/echo -e "with-libjetty9-java=true" >> $(CURDIR)/override.properties
	mkdir -p $(CURDIR)/apps/jetty/jettylib
	ln -sf /usr/share/java/jetty9-continuation.jar $(CURDIR)/apps/jetty/jettylib/jetty-continuation.jar
	ln -sf /usr/share/java/jetty9-deploy.jar $(CURDIR)/apps/jetty/jettylib/jetty-deploy.jar
	ln -sf /usr/share/java/jetty9-http.jar $(CURDIR)/apps/jetty/jettylib/jetty-http.jar
	ln -sf /usr/share/java/jetty9-io.jar $(CURDIR)/apps/jetty/jettylib/jetty-io.jar
	ln -sf /usr/share/java/jetty9-rewrite.jar $(CURDIR)/apps/jetty/jettylib/jetty-rewrite-handler.jar
	ln -sf /usr/share/java/jetty9-security.jar $(CURDIR)/apps/jetty/jettylib/jetty-security.jar
	ln -sf /usr/share/java/jetty9-servlet.jar $(CURDIR)/apps/jetty/jettylib/jetty-servlet.jar
	ln -sf /usr/share/java/jetty9-servlets.jar $(CURDIR)/apps/jetty/jettylib/jetty-servlets.jar
	ln -sf /usr/share/java/jetty9-start.jar $(CURDIR)/apps/jetty/jettylib/jetty-start.jar
	ln -sf /usr/share/java/jetty9-util.jar $(CURDIR)/apps/jetty/jettylib/jetty-util.jar
	ln -sf /usr/share/java/jetty9-webapp.jar $(CURDIR)/apps/jetty/jettylib/jetty-webapp.jar
	ln -sf /usr/share/java/jetty9-xml.jar $(CURDIR)/apps/jetty/jettylib/jetty-xml.jar
	ln -sf /usr/share/java/jetty9-server.jar $(CURDIR)/apps/jetty/jettylib/org.mortbay.jetty.jar
	ln -sf /usr/share/java/jetty9-jmx.jar $(CURDIR)/apps/jetty/jettylib/org.mortbay.jmx.jar
	@# following two are from libservlet3.1-java which is a dependency of libjetty9-java
	ln -sf /usr/share/java/servlet-api-3.1.jar $(CURDIR)/apps/jetty/jettylib/javax.servlet.jar
	@# this is roughly the same as tomcat8-jsp-api.jar, we use this one
	ln -sf /usr/share/java/jsp-api-2.3.jar $(CURDIR)/apps/jetty/jettylib/jsp-api.jar

	@# debian and ubuntu: wheezy-backports, jessie+, xenial+
	@/bin/echo -e "with-libtomcat8-java=true" >> $(CURDIR)/override.properties
	mkdir -p $(CURDIR)/apps/jetty/jettylib
	ln -sf /usr/share/java/tomcat8-api.jar $(CURDIR)/apps/jetty/jettylib/tomcat-api.jar
	ln -sf /usr/share/java/tomcat8-coyote.jar $(CURDIR)/apps/jetty/jettylib/tomcat-coyote.jar
	ln -sf /usr/share/java/tomcat8-el-api.jar $(CURDIR)/apps/jetty/jettylib/commons-el.jar
	ln -sf /usr/share/java/tomcat8-jasper.jar $(CURDIR)/apps/jetty/jettylib/jasper-runtime.jar
	ln -sf /usr/share/java/tomcat8-jasper-el.jar $(CURDIR)/apps/jetty/jettylib/jasper-el.jar
	ln -sf /usr/share/java/tomcat8-juli.jar $(CURDIR)/apps/jetty/jettylib/commons-logging.jar
	ln -sf /usr/share/java/tomcat8-util.jar $(CURDIR)/apps/jetty/jettylib/tomcat-util.jar
	ln -sf /usr/share/java/tomcat8-util-scan.jar $(CURDIR)/apps/jetty/jettylib/tomcat-util-scan.jar

	@# debian and ubuntu: stretch+, zesty+
	@/bin/echo -e "with-libtaglibs-standard=true" >> $(CURDIR)/override.properties
	ln -sf /usr/share/java/taglibs-standard-spec.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar
	ln -sf /usr/share/java/taglibs-standard-impl.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
	ln -sf /usr/share/java/taglibs-standard-jstlel.jar $(CURDIR)/apps/susidns/src/lib/jstlel.jar

	@# debian and ubuntu: everywhere
	@#/bin/echo -e "with-glassfish-javaee=true" >> $(CURDIR)/override.properties
	@# glassfish-javaee.jar has ancient and conflicting classes, e.g. javax.mail
	@#ln -sf /usr/share/java/glassfish-javaee.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar
	@#ln -sf /usr/share/java/glassfish-appserv-jstl.jar $(CURDIR)/apps/susidns/src/lib/standard.jar

	@# debian and ubuntu: everywhere
	@#/bin/echo -e "with-libjakarta-taglibs-standard-java=true" >> $(CURDIR)/override.properties
	@#ln -sf /usr/share/java/standard.jar $(CURDIR)/apps/susidns/src/lib/standard.jar

	@# debian and ubuntu: everywhere
	@#/bin/echo -e "with-libjstl1.1-java=true" >> $(CURDIR)/override.properties
	@#ln -sf /usr/share/java/jstl1.1.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar

	@# debian and ubuntu: everywhere
	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties

## i2p 0.9.35

=== debian/changelog ===
i2p (0.9.35-2) unstable; urgency=medium

  * d/control: Bumped Standards-Version to 4.1.5.
  * d/control: Now Build-Depends on default-jdk.
  * d/control: i2p-router now depends on sensible-utils.
  * d/control: i2p-router now depends on openjdk 8, 10(default for sid) & 11.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 03 Aug 2018 09:21:32 -0700

i2p (0.9.35-1) unstable; urgency=medium

  * New upstream release.
  * i2p should depend on apparmor - closes: #902426

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 25 Jul 2018 14:54:05 +0900

i2p (0.9.34-2) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.4.
  * Built with OpenJDK 10, default-jdk for the current
    Debian sid - closes: #897322

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 22 Jun 2018 16:49:49 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
@@ -27,6 +27,7 @@
 Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
  adduser,
+ apparmor,
  debconf,
  i2p-router (>= 0.8.6-5),
  libjbigi-jni,
@@ -81,6 +82,7 @@
  libjetty9-java,
  libtaglibs-standard-jstlel-java,
  libtomcat8-java,
+ sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
 Recommends: libjbigi-jni, ttf-dejavu

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 JAVA_HOME=/usr/lib/jvm/default-java
-
 
 I2P=$(CURDIR)/pkg-temp
 ROUTERVERSION=$(CURDIR)/router/java/src/net/i2p/router/RouterVersion.java
@@ -82,12 +81,11 @@
 	@echo "Already found deb in version, not doing anything"
 endif
 	@# build options
-	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.version=9" > $(CURDIR)/override.properties
+#	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
+#	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
+#	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
 
 	@# debian and ubuntu: everywhere
@@ -150,3 +148,4 @@
 
 	@# debian and ubuntu: everywhere
 	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build

## i2p 0.9.38

=== debian/changelog ===
i2p (0.9.38-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for build failure (Closes: #924847)
  * Update Swedish debconf strings (Closes: #925515)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 15 Apr 2019 22:12:02 +0200

i2p (0.9.38-3) unstable; urgency=medium

  * Improved handling of /usr/share/i2p/wrapper.config.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 31 Jan 2019 09:33:18 +0900

i2p (0.9.38-2) unstable; urgency=medium

  * Now uses ucf for handling /etc/i2p/wrapper.config - closes: #920456

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 30 Jan 2019 13:24:34 +0900

i2p (0.9.38-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 24 Jan 2019 14:32:35 +0900

i2p (0.9.37-4) unstable; urgency=medium

  * d/control: Bumped Standards-Versions to 4.3.0.
  * d/control, d/p/0005: Now recommends fonts-dejavu instead of ttf-dejavu
    - closes: #919683
  * d/p/0004: Added Javadoc build workaround.
  * d/p/0006: Fixed plugin loading (cherrypicked from .38).

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 19 Jan 2019 15:42:27 +0900

i2p (0.9.37-3) unstable; urgency=medium

  * d/p/0003: Now depends on Tomcat 9 - closes: #915463

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 14 Dec 2018 17:27:55 +0900

i2p (0.9.37-2) unstable; urgency=medium

  * d/p/0002: Fixed FTBFS with Jetty 9.4, thanks Emmanuel Bourg!
    - closes: #916177
  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 13 Dec 2018 15:15:46 +0900

i2p (0.9.37-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 07 Oct 2018 23:30:56 +0900

i2p (0.9.36-2) unstable; urgency=medium

  * d/control: Bumped Standards-Version to 4.2.1.
  * d/p/0002: Added a workaround for JspC hung up with the newer
    Tomcat8.  See https://bugs.debian.org/908884.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 17 Sep 2018 09:25:49 +0900

i2p (0.9.36-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bumped Standards-Version to 4.2.0.
  * d/control: Made i2p-router depends on famfamfam-flag-png.
  * d/i2p-router.install: Fixed some typo.
  * d/i2p-r.links, d/i2p-r.pre, d/rules: Added famfamfam-flag-png support.
  * d/rules: Added reproducible build flag.
  * d/i2p-r.man, d/i2p.man, d/po: Updated translations.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 24 Aug 2018 09:33:27 -0700

i2p (0.9.38-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.38

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 23 Jan 2019 12:12:12 +0000

i2p (0.9.37-1ubuntu1) bionic; urgency=medium

  * New upstream version 0.9.37

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 05 Oct 2018 12:12:12 +0000

i2p (0.9.36-2ubuntu1) bionic; urgency=medium

  * New upstream version 0.9.36

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 23 Aug 2018 12:12:12 +0000

i2p (0.9.35-1ubuntu1) artful; urgency=medium

  * New upstream version 0.9.35

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 27 Jun 2018 12:12:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
@@ -10,13 +10,14 @@
  ,ant (>= 1.8)
  ,debconf
  ,default-jdk
- ,libjetty9-java (>= 9.2.22)
+ ,libjetty9-java
  ,libtaglibs-standard-jstlel-java
- ,libtomcat8-java
+ ,libtomcat9-java
  ,dh-apparmor
  ,bash-completion
  ,gettext
  ,libgetopt-java
+ ,libjson-simple-java (<< 3)
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf
@@ -24,15 +25,15 @@
 Package: i2p
 Architecture: all
 Section: net
-Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
  adduser,
  apparmor,
  debconf,
  i2p-router (>= 0.8.6-5),
  libjbigi-jni,
- lsb-base (>= 3.0-6),
- service-wrapper
+ lsb-base,
+ service-wrapper,
+ ucf (>= 0.28)
 Description: Invisible Internet Project (I2P) - anonymous network
  I2P is an anonymizing network, offering a simple layer that identity-sensitive
  applications can use to securely communicate. All data is wrapped with several
@@ -45,7 +46,6 @@
 Package: libjbigi-jni
 Architecture: any
 Section: java
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, i2p-router
 Homepage: https://geti2p.net/
 Description: Invisible Internet Project (I2P) - libjbigi library
@@ -59,7 +59,6 @@
 Package: i2p-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Suggests: i2p, default-jdk-doc
 Description: Invisible Internet Project (I2P) - developer documentation
@@ -73,27 +72,28 @@
 Package: i2p-router
 Architecture: all
 Section: net
-Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
  openjdk-11-jre-headless | openjdk-8-jre-headless | default-jre-headless | java11-runtime-headless | java8-runtime-headless,
  geoip-database,
  gettext-base,
  libgetopt-java,
+ libjson-simple-java (<< 3),
  libjetty9-java,
  libtaglibs-standard-jstlel-java,
- libtomcat8-java,
+ libtomcat9-java,
+ famfamfam-flag-png,
  sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
-Recommends: libjbigi-jni, ttf-dejavu
+Recommends: libjbigi-jni, fonts-dejavu
 Suggests: apparmor
  ,privoxy
  ,syndie
-Description: Invisible Internet Project (I2P) - Router
+Description: Invisible Internet Project (I2P) - router
  I2P is an anonymizing network, offering a simple layer that identity-sensitive
  applications can use to securely communicate. All data is wrapped with several
  layers of encryption, and the network is both distributed and dynamic, with no
  trusted parties.
  .
- TrueType fonts (such as those provided in the package ttf-dejavu) are required
- in order to generate graphs.
+ TrueType fonts (such as those provided in the package fonts-dejavu) are
+ required in order to generate graphs.

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 		cp $(ROUTERVERSION) $(CURDIR)/debian/routerversion.java.bak; \
 	fi
 ifeq "$(findstring deb,$(shell grep 'deb' $(ROUTERVERSION)))" ""
-	sed -e "s/\(.*EXTRA\ =\ \)[^ ]*\"\(.*\)\"/\1\"\2-$$EXTRAPREFIX$$DEBIANVERSION\"/" < $(ROUTERVERSION) > $(ROUTERVERSION).tmp
+	sed -e "s/\(.*EXTRA\ =\ \)[^ ]*\"\(.*\)\"/\1\"-$$EXTRAPREFIX$$DEBIANVERSION\"/" < $(ROUTERVERSION) > $(ROUTERVERSION).tmp
 	mv -f $(ROUTERVERSION).tmp $(ROUTERVERSION)
 else
 	@echo "Already found deb in version, not doing anything"
@@ -87,6 +87,7 @@
 #	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
+	@/bin/echo -e "build.reproducible=true" >> $(CURDIR)/override.properties
 
 	@# debian and ubuntu: everywhere
 	@/bin/echo -e "with-geoip-database=true" >> $(CURDIR)/override.properties
@@ -111,20 +112,20 @@
 	ln -sf /usr/share/java/jetty9-jmx.jar $(CURDIR)/apps/jetty/jettylib/org.mortbay.jmx.jar
 	@# following two are from libservlet3.1-java which is a dependency of libjetty9-java
 	ln -sf /usr/share/java/servlet-api-3.1.jar $(CURDIR)/apps/jetty/jettylib/javax.servlet.jar
-	@# this is roughly the same as tomcat8-jsp-api.jar, we use this one
+	@# this is roughly the same as tomcat9-jsp-api.jar, we use this one
 	ln -sf /usr/share/java/jsp-api-2.3.jar $(CURDIR)/apps/jetty/jettylib/jsp-api.jar
 
 	@# debian and ubuntu: wheezy-backports, jessie+, xenial+
-	@/bin/echo -e "with-libtomcat8-java=true" >> $(CURDIR)/override.properties
+	@/bin/echo -e "with-libtomcat9-java=true" >> $(CURDIR)/override.properties
 	mkdir -p $(CURDIR)/apps/jetty/jettylib
-	ln -sf /usr/share/java/tomcat8-api.jar $(CURDIR)/apps/jetty/jettylib/tomcat-api.jar
-	ln -sf /usr/share/java/tomcat8-coyote.jar $(CURDIR)/apps/jetty/jettylib/tomcat-coyote.jar
-	ln -sf /usr/share/java/tomcat8-el-api.jar $(CURDIR)/apps/jetty/jettylib/commons-el.jar
-	ln -sf /usr/share/java/tomcat8-jasper.jar $(CURDIR)/apps/jetty/jettylib/jasper-runtime.jar
-	ln -sf /usr/share/java/tomcat8-jasper-el.jar $(CURDIR)/apps/jetty/jettylib/jasper-el.jar
-	ln -sf /usr/share/java/tomcat8-juli.jar $(CURDIR)/apps/jetty/jettylib/commons-logging.jar
-	ln -sf /usr/share/java/tomcat8-util.jar $(CURDIR)/apps/jetty/jettylib/tomcat-util.jar
-	ln -sf /usr/share/java/tomcat8-util-scan.jar $(CURDIR)/apps/jetty/jettylib/tomcat-util-scan.jar
+	ln -sf /usr/share/java/tomcat9-api.jar $(CURDIR)/apps/jetty/jettylib/tomcat-api.jar
+	ln -sf /usr/share/java/tomcat9-coyote.jar $(CURDIR)/apps/jetty/jettylib/tomcat-coyote.jar
+	ln -sf /usr/share/java/tomcat9-el-api.jar $(CURDIR)/apps/jetty/jettylib/commons-el.jar
+	ln -sf /usr/share/java/tomcat9-jasper.jar $(CURDIR)/apps/jetty/jettylib/jasper-runtime.jar
+	ln -sf /usr/share/java/tomcat9-jasper-el.jar $(CURDIR)/apps/jetty/jettylib/jasper-el.jar
+	ln -sf /usr/share/java/tomcat9-juli.jar $(CURDIR)/apps/jetty/jettylib/commons-logging.jar
+	ln -sf /usr/share/java/tomcat9-util.jar $(CURDIR)/apps/jetty/jettylib/tomcat-util.jar
+	ln -sf /usr/share/java/tomcat9-util-scan.jar $(CURDIR)/apps/jetty/jettylib/tomcat-util-scan.jar
 
 	@# debian and ubuntu: stretch+, zesty+
 	@/bin/echo -e "with-libtaglibs-standard=true" >> $(CURDIR)/override.properties
@@ -148,4 +149,3 @@
 
 	@# debian and ubuntu: everywhere
 	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
-	@mkdir -p $(CURDIR)/core/java/build

=== debian/watch ===
version=4

http://download.i2p2.no/releases/(^[0-9].+)$/i2psource_(.+)\.tar\.bz2 debian debian/repack.sh

## i2p 0.9.41

=== debian/changelog ===
i2p (0.9.41-2) unstable; urgency=medium

  * Bumped to Standards-Versions to 4.4.0 (really, this time).

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 14 Aug 2019 17:01:07 -0700

i2p (0.9.41-1) unstable; urgency=medium

  * New upstream release - closes: #928691
  * Updated French debconf string - closes: #929471
  * Bumped to Standards-Versions to 4.4.0.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Jul 2019 10:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p

## i2p 0.9.44

=== apps/sam/c/examples/i2p-ping/Makefile ===
FLAGS+=-g

CFLAGS = $(FLAGS) -pipe -std=c99 -Wall
CFLAGS += -I../../inc
LDFLAGS = $(FLAGS) -L../../lib -lsam

OBJS:=i2p-ping.lo
DEPS:=$(patsubst obj/%.lo, .deps/%.d, $(OBJS))
DESTDIR:=$(if $(DESTDIR),$(DESTDIR)/lib,/usr/lib)

MAKEFLAGS=-s -r
PERL=$(shell which perl 2>/dev/null)
ifneq ($(PERL),)
STATUS=$(PERL) ../../status
else
STATUS=echo
endif

LIBTOOL_LOG=libtool.log

all:: cleanlog i2p-ping

cleanlog:
	>$(LIBTOOL_LOG)

i2p-ping: $(OBJS)
	$(STATUS) link
	libtool --mode=link $(CC) $(LDFLAGS) -o $@ $^ >>$(LIBTOOL_LOG)

%.lo: %.c
	$(STATUS) compile $*
	libtool --mode=compile $(CC) $(CFLAGS) -Iinc/ -c -o $@ $< >>$(LIBTOOL_LOG)
.deps/%.d: src/%.c
	$(STATUS) deps $*
	$(CC) -Iinc/ -MM -MT obj/$*.o $^ -o $@

clean:
	$(STATUS) clean
	rm -Rf .deps obj libtool.log
	libtool --mode=clean rm -f i2p-ping i2p-ping.lo >>$(LIBTOOL_LOG)

$(OBJS):|obj
obj:
	$(STATUS) MKDIR $@
	mkdir -p $@

# -include $(DEPS)
$(DEPS):|.deps
.deps:
	$(STATUS) MKDIR $@
	mkdir -p $@


.PHONY: all cleanlog clean

=== debian/changelog ===
i2p (0.9.44-3) unstable; urgency=medium

  * Refine conffile handling.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 30 Dec 2019 10:21:35 +0100

i2p (0.9.44-2) unstable; urgency=medium

  * Use ucf again - closes: #920456

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 29 Dec 2019 11:33:06 +0100

i2p (0.9.44-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 27 Dec 2019 17:24:00 +0100

i2p (0.9.42-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 08 Sep 2019 10:25:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	rm -f $(CURDIR)/apps/susidns/src/lib/standard.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstl.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
+	rm -f $(CURDIR)/apps/i2pcontrol/build/jsonrpc.war
 	debconf-updatepo
 
 override_dh_auto_build:
@@ -83,9 +84,7 @@
 	@# build options
 #	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs=-source 1.8 -target 1.8" >> $(CURDIR)/override.properties
 #	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs7=" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.reproducible=true" >> $(CURDIR)/override.properties
 
@@ -115,7 +114,7 @@
 	@# this is roughly the same as tomcat9-jsp-api.jar, we use this one
 	ln -sf /usr/share/java/jsp-api-2.3.jar $(CURDIR)/apps/jetty/jettylib/jsp-api.jar
 
-	@# debian and ubuntu: wheezy-backports, jessie+, xenial+
+	@# debian and ubuntu: buster, disco
 	@/bin/echo -e "with-libtomcat9-java=true" >> $(CURDIR)/override.properties
 	mkdir -p $(CURDIR)/apps/jetty/jettylib
 	ln -sf /usr/share/java/tomcat9-api.jar $(CURDIR)/apps/jetty/jettylib/tomcat-api.jar
@@ -149,3 +148,7 @@
 
 	@# debian and ubuntu: everywhere
 	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/libintl.jar $(CURDIR)/core/java/build/libintl.jar
+
+	@# debian and ubuntu: everywhere

## i2p 0.9.47

=== debian/changelog ===
i2p (0.9.47-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 27 Aug 2020 06:37:19 +0900

i2p (0.9.46-1) unstable; urgency=medium

  * New upstream release.
  [ Gilles Filippini ]
  * Tentative support for json-simple >= 3 (Closes: #960589)

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 23 Aug 2020 00:35:44 +0900

i2p (0.9.45-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 12 Apr 2020 23:50:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: i2p
 Maintainer: Masayuki Hatta <mhatta@debian.org>
 Section: net
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Priority: optional
 Homepage: https://geti2p.net/
 Vcs-Browser: https://salsa.debian.org/debian/i2p
@@ -17,7 +17,7 @@
  ,bash-completion
  ,gettext
  ,libgetopt-java
- ,libjson-simple-java (<< 3)
+ ,libjson-simple-java
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,17 @@
 export BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 #export DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
+# debian: bullseye - transitioning
+JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
+JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
+ifeq (yes,$(JSON_SIMPLE_3))
+JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
+JSON_EXCEPTION = JsonException
+else
+JSON_SIMPLE_PACKAGE = org.json.simple
+JSON_EXCEPTION = DeserializationException
+endif
+
 %:
 	dh $@ --with systemd,bash-completion
 
@@ -59,6 +70,8 @@
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
 	rm -f $(CURDIR)/apps/i2pcontrol/build/jsonrpc.war
 	debconf-updatepo
+	find . -type f -name \*.java.json-simple \
+	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
 
 override_dh_auto_build:
 
@@ -139,16 +152,3 @@
 	@#ln -sf /usr/share/java/glassfish-appserv-jstl.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
 
 	@# debian and ubuntu: everywhere
-	@#/bin/echo -e "with-libjakarta-taglibs-standard-java=true" >> $(CURDIR)/override.properties
-	@#ln -sf /usr/share/java/standard.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
-
-	@# debian and ubuntu: everywhere
-	@#/bin/echo -e "with-libjstl1.1-java=true" >> $(CURDIR)/override.properties
-	@#ln -sf /usr/share/java/jstl1.1.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar
-
-	@# debian and ubuntu: everywhere
-	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
-	@mkdir -p $(CURDIR)/core/java/build
-	ln -sf /usr/share/java/libintl.jar $(CURDIR)/core/java/build/libintl.jar
-
-	@# debian and ubuntu: everywhere

## i2p 0.9.48

=== debian/changelog ===
i2p (0.9.48-1) unstable; urgency=medium

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 03 Dec 2020 14:51:17 +0900

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Vcs-Browser: https://salsa.debian.org/debian/i2p
 Vcs-Git: https://salsa.debian.org/debian/i2p.git
 Build-Depends: debhelper (>= 9.20160709)
- ,ant (>= 1.8)
+ ,ant (>= 1.9.8)
  ,debconf
  ,default-jdk
- ,libjetty9-java
+ ,libjetty9-java (>= 9.4)
  ,libtaglibs-standard-jstlel-java
  ,libtomcat9-java
  ,dh-apparmor
  ,bash-completion
  ,gettext
  ,libgetopt-java
- ,libjson-simple-java
+ ,libjson-simple-java (>= 2),libjson-simple-java (<< 3)
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf
@@ -73,19 +73,19 @@
 Architecture: all
 Section: net
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
- openjdk-11-jre-headless | openjdk-8-jre-headless | default-jre-headless | java11-runtime-headless | java8-runtime-headless,
+ openjdk-14-jre-headless | openjdk-13-jre-headless | openjdk-12-jre-headless | openjdk-11-jre-headless | default-jre-headless | java14-runtime-headless | java13-runtime-headless | java12-runtime-headless | java11-runtime-headless,
  geoip-database,
  gettext-base,
  libgetopt-java,
- libjson-simple-java (<< 3),
- libjetty9-java,
+ libjson-simple-java (>= 2),libjson-simple-java (<< 3),
+ libjetty9-java (>= 9.4),
  libtaglibs-standard-jstlel-java,
  libtomcat9-java,
  famfamfam-flag-png,
  sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
-Recommends: libjbigi-jni, fonts-dejavu
+Recommends: libjbigi-jni
 Suggests: apparmor
  ,privoxy
  ,syndie
@@ -94,6 +94,3 @@
  applications can use to securely communicate. All data is wrapped with several
  layers of encryption, and the network is both distributed and dynamic, with no
  trusted parties.
- .
- TrueType fonts (such as those provided in the package fonts-dejavu) are
- required in order to generate graphs.

=== debian/rules ===
--- 
+++ 
@@ -40,17 +40,6 @@
 export BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 #export DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
-# debian: bullseye - transitioning
-JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
-JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
-ifeq (yes,$(JSON_SIMPLE_3))
-JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
-JSON_EXCEPTION = JsonException
-else
-JSON_SIMPLE_PACKAGE = org.json.simple
-JSON_EXCEPTION = DeserializationException
-endif
-
 %:
 	dh $@ --with systemd,bash-completion
 
@@ -68,10 +57,7 @@
 	rm -f $(CURDIR)/apps/susidns/src/lib/standard.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstl.jar
 	rm -f $(CURDIR)/apps/susidns/src/lib/jstlel.jar
-	rm -f $(CURDIR)/apps/i2pcontrol/build/jsonrpc.war
 	debconf-updatepo
-	find . -type f -name \*.java.json-simple \
-	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
 
 override_dh_auto_build:
 
@@ -95,9 +81,7 @@
 	@echo "Already found deb in version, not doing anything"
 endif
 	@# build options
-#	@/bin/echo -e "javac.version=1.8" > $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
-#	@/bin/echo -e "javac.compilerargs7=-bootclasspath $(JAVA_HOME)/jre/lib/rt.jar:$(JAVA_HOME)/jre/lib/jce.jar" >> $(CURDIR)/override.properties
+	@/bin/echo -e "javac.release=11" > $(CURDIR)/override.properties
 	@/bin/echo -e "build.built-by=debian" >> $(CURDIR)/override.properties
 	@/bin/echo -e "build.reproducible=true" >> $(CURDIR)/override.properties
 
@@ -146,9 +130,36 @@
 	ln -sf /usr/share/java/taglibs-standard-jstlel.jar $(CURDIR)/apps/susidns/src/lib/jstlel.jar
 
 	@# debian and ubuntu: everywhere
-	@#/bin/echo -e "with-glassfish-javaee=true" >> $(CURDIR)/override.properties
-	@# glassfish-javaee.jar has ancient and conflicting classes, e.g. javax.mail
-	@#ln -sf /usr/share/java/glassfish-javaee.jar $(CURDIR)/apps/susidns/src/lib/jstl.jar
-	@#ln -sf /usr/share/java/glassfish-appserv-jstl.jar $(CURDIR)/apps/susidns/src/lib/standard.jar
+	@/bin/echo -e "with-gettext-base=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/libintl.jar $(CURDIR)/core/java/build/libintl.jar
 
 	@# debian and ubuntu: everywhere
+	@/bin/echo -e "with-libgetopt-java=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/gnu-getopt.jar $(CURDIR)/core/java/build/gnu-getopt.jar
+
+	@# debian: jessie+; ubuntu: trusty+
+	@/bin/echo -e "with-libjson-simple-java=true" >> $(CURDIR)/override.properties
+	@mkdir -p $(CURDIR)/core/java/build
+	ln -sf /usr/share/java/json-simple.jar $(CURDIR)/core/java/build/json-simple.jar
+
+	@# debian: everywhere; ubuntu: trusty+
+	@/bin/echo -e "with-famfamfam-flag-png=true" >> $(CURDIR)/override.properties
+
+	TZ=UTC JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8 ant preppkg-unix javadoc
+	echo router.updateDisabled=true > $(I2P)/router.config
+	mv $(I2P)/runplain.sh $(I2P)/i2prouter-nowrapper
+
+binary-arch: build-arch
+build-arch:
+	# build jbigi
+	cd $(CURDIR)/core/c/jbigi && ./build_jbigi.sh dynamic
+	# build jcpuid
+	cd $(CURDIR)/core/c/jcpuid && ./build.sh
+
+binary: binary-arch binary-indep
+
+createcopyright:
+	@echo " *** Creating debian/copyright*** "
+	@rm -f $(CURDIR)/debian/copyright

=== debian/watch ===
version=4

https://deb.i2p2.de/pool/main/i/i2p/i2p_(.+).orig.tar.bz2
